Package org.apache.struts2.action

# Class DefaultCspReportAction

java.lang.Object
org.apache.struts2.ActionSupport
org.apache.struts2.action.CspReportAction
org.apache.struts2.action.DefaultCspReportAction

All Implemented Interfaces:
  `Serializable`, `Action`, `ServletRequestAware`, `ServletResponseAware`, `ValidationAware`, `LocaleProvider`, `TextProvider`, `Validateable`

public class DefaultCspReportAction extends CspReportAction
The default implementation of `CspReportAction` that simply logs the JSON object that contains the details of the CSP violation.

See Also:
  - `CspReportAction`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final org.apache.logging.log4j.Logger`
  `LOG`

  ### Fields inherited from class org.apache.struts2.ActionSupport

  `container`

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultCspReportAction()`

- ## Method Summary

  ### Methods inherited from class org.apache.struts2.action.CspReportAction

  `getServletRequest, setServletRequest, withServletRequest, withServletResponse`

  ### Methods inherited from class org.apache.struts2.ActionSupport

  `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, execute, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    protected static final org.apache.logging.log4j.Logger LOG

- ## Constructor Details

  - ### DefaultCspReportAction

    public DefaultCspReportAction()